| pktools 2.6.7 Processing Kernel for geospatial data

Public Member Functions | Public Attributes | List of all members
qgis.ProcessingPktoolsPlugin.ProcessingPktoolsPlugin Class Reference

## Public Member Functions
def | __init__ (self)
def | initGui (self)
def | unload (self)

## Public Attributes
| provider

## Detailed Description

Definition at line 40 of file ProcessingPktoolsPlugin.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def qgis.ProcessingPktoolsPlugin.ProcessingPktoolsPlugin.__init__ | ( |  | self | ) |

Definition at line 41 of file ProcessingPktoolsPlugin.py.

41 def __init__(self):
42 self.provider = pktoolsAlgorithmProvider()
43

## Member Function Documentation

## ◆ initGui()

def qgis.ProcessingPktoolsPlugin.ProcessingPktoolsPlugin.initGui | ( |  | self | ) |

Definition at line 44 of file ProcessingPktoolsPlugin.py.

44 def initGui(self):
45 Processing.addProvider(self.provider)
46

## ◆ unload()

def qgis.ProcessingPktoolsPlugin.ProcessingPktoolsPlugin.unload | ( |  | self | ) |

Definition at line 47 of file ProcessingPktoolsPlugin.py.

47 def unload(self):
48 Processing.removeProvider(self.provider)

## Member Data Documentation

## ◆ provider

qgis.ProcessingPktoolsPlugin.ProcessingPktoolsPlugin.provider

Definition at line 42 of file ProcessingPktoolsPlugin.py.

The documentation for this class was generated from the following file:

- /tmp/slackdce/slackrepo.NvCr9x/build_pktools/PKTOOLS-2.6.7.6/qgis/ProcessingPktoolsPlugin.py